global:
  scrape_interval:     60s
  evaluation_interval: 15s

  external_labels:
      monitor: '{{ cloudstack.stack.name }}'

{% if cloudstack.plugins[plugin].config.integrations.alertmanager|bool %}
# Load and evaluate rules in this file every 'evaluation_interval' seconds.
rule_files:
  - 'alert.rules'

# alert
alerting:
  alertmanagers:
  - scheme: http
    static_configs:
    - targets:
      - "alertmanager:9093"
{% endif %}

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  - job_name: 'prometheus'
    # Override the global default and scrape targets from this job every 5 seconds.
    scrape_interval: 5s
    static_configs:
         - targets: ['localhost:9090']

{% if cloudstack.plugins[plugin].config.integrations.cadvisor|bool %}
  - job_name: 'cadvisor'
    scrape_interval: 60s
    static_configs:
      - targets: ['cadvisor:8080']
        labels: {'host': '{{ cloudstack.stack.name }}'}
{% endif %}

{% if cloudstack.plugins[plugin].config.integrations.node_exporter|bool %}
  - job_name: 'node-exporter'
    scrape_interval: 60s
    static_configs:
      - targets: ['node-exporter:9100']
        labels: {'host': '{{ cloudstack.stack.name }}'}
{% endif %}

# {% if cloudstack.plugins[plugin].config.integrations.blackbox_exporter|bool %}
#   - job_name: 'blackbox-http'
#     metrics_path: /probe
#     params:
#       module: [http_2xx]  # Look for a HTTP 200 response.
#     static_configs:
#       - targets: {{ cloudstack.plugins.prometheus.config.blackbox_exporter.targets }}
#     relabel_configs:
#       - source_labels: [__address__]
#         target_label: __param_target
#       - source_labels: [__param_target]
#         target_label: instance
#       - target_label: __address__
#         replacement: blackbox-exporter:9115
# {% endif %}
